Subject: Re: [mpls-tp] [PWE3] VCCV usage

From: <[email-masked]>
Date: Wed, 1 Dec 2010 07:48:27 +0000

Hi Yaakov...you may like to ponder on this point (I have raised it several times before, but for some reason it gets ignored...I wonder why? ;-)) ....

Any layer network SHOULD (though this really ought to be MUST) have consistent CI (Characteristic Information).  There are many reasons for this rather obvious requirement statement, but a key one is that if misconnectivity occurs, then wherever the misdirected DP traffic units and OAM arrive they can be correctly processed...this means that all the functional fields of DP traffic units and DP OAM MUST have unambiguous functional meaning.  I think this statement is so obviously true that no sane person could disagree with it.

Aside=> The above requirement is true for all 3 network modes, but it is most important in a co-ps mode network (as this has the richest potential set of misconnectivity defects) where short-cuts have been taken on child traffic unit labelling (ie omit SA label, DA label reduced to link significant, omit PID label) due to the a-priori-known single-source property of the parent connection.  However, this a-priori-known single-source property of a parent connection is broken under misconnectivity defects and cannot, indeed MUST NOT, be assumed...ergo why child traffic units and OAM MUST have consistent CI.

You are raising one case below where there is non-consistent CI.....but there are many more.  Even the 'label' (there is only one) in an MPLS traffic unit is not consistent of its meaning.  Then we have lots of choices for OAM.  Now factor-in mixed cases of LSP sublayering and LSP layering...the former LSPs reside in the *same layer network* whilst the latter LSPs reside in *different layer networks* (this is a rather more serious self-inflicted consequential problem BTW).

Do you think it is sensible given the above is 'known' (and for some time) that such mistakes should be carried over into MPLS-TP?....esp given this is supposed to be a transparent transport network (hint=> this should never have sublayering and esp not PWs as all clients MUST be treated equally...else we do not have a transparent transport network).

Please excuse me copying this to the MPLS-TP list as my observation is clearly germane to that WG too.

regards, Neil

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Yaakov Stein
> Sent: 01 December 2010 06:49
> To: Carlos Pignataro
> Cc: [email-masked]; [email-masked]; 
> [email-masked]; [email-masked]
> Subject: Re: [PWE3] VCCV usage
> 
> Carlos
> 
> Sorry that it took me a bit of time to catch up on PWE emails.
> 
> I don't think it would be useful for me to try to answer old 
> questions, as the water has already reached the sea.
> However, there is one point I wanted to comment on.
> 
> [YJS] So, type 2 requires negotiation.
> [Carlos]  I missed this part, why does this require 
> negotiation? It is from RFC 3032.
> 
> I completely agree that an LSR recognizes the router alert label.
> However, there are many situations where the PW interworking 
> is not performed by a device with full MPLS functionality.
> For example, consider a PW setup with only the PW label over 
> IP according to RFC 4023.
> 
> Here the receiving device would be quite surprised to find 
> the router alert label, were it not informed that this is a 
> possibility.
> 
> Y(J)S
> 
> 
> _______________________________________________
> pwe3 mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pwe3
>